package com.example.modifier.model

import kotlinx.serialization.Serializable

@Serializable
class RunScriptAction : BaseAction {
    companion object {
        const val NAME = "runScript"
    }

    val data: RunScriptData

    constructor(id: String, data: RunScriptData) : super(id, NAME) {
        this.data = data
    }

}

@Serializable
class RunScriptData(val script: String) {
}